
//  BUTTON.java         CS 120     Fall 2016      Assignement A8
//
//  NOTE:  You do not need to modify this code to get A5 working.
//         I am giving you this .java file so that you can see
//         how a Button class MIGHT be implemented, and also so
//         that you can feel tempted to improve it!

import java.awt.*;

class Button
 {
	 private int left;   //  x-coordinate of left side of button
	 private int right;  //  x-coordinate of right side of button
	 private int top;    //  y-coordinate of top side of button
	 private int bottom; //  y-coordinate of bottom side of button
	 private String label;  // Text to display inside of button
	 private int width;
	 private int  height;

	 // CONSTRUCTOR method for Button class.
	 public Button(int inLeft, int inRight, int inTop, int inBottom,
	                        String inLabel)
	     {
			 left = inLeft;
			 right= inRight;
			 top = inTop;
			 bottom = inBottom;
			 label = inLabel;
			 width = right-left;
			 height = bottom-top;
		 }

	 public boolean inside(int x, int y)
	    {
			return ( left < x && x < right  && top < y && y <bottom);
		}

	 public void paint(Graphics g)
	   {
		   g.setColor(Color.black);
		   g.fillRoundRect(left+2,top+2, width, height, 18,18);
		   g.setColor(Color.white);
		   g.fillRoundRect(left,top,width,height, 18,18);
		   g.setColor(Color.black);
		   g.setFont(new Font("SansSerif", Font.BOLD, 12));
		   g.drawString(label, left+5, top+14);
		   g.drawRoundRect(left,top,width,height,18,18);
	   }

 }

